---
page_title: "authentik_scope_mapping Data Source - terraform-provider-authentik"
subcategory: "Property Mappings"
description: |-
  Get OAuth Scope mappings
---

# authentik_scope_mapping (Data Source)

Get OAuth Scope mappings

## Example Usage

```terraform
# To get the ID of a scope mapping

data "authentik_scope_mapping" "test" {
  # Search by name, by managed field or by scope_name
  # name    = "authentik default OAuth Mapping: Proxy outpost"
  managed = "goauthentik.io/providers/proxy/scope-proxy"
}

# Then use `data.authentik_scope_mapping.test.id`

# Or, to get the IDs of multiple mappings

data "authentik_scope_mapping" "test" {
  managed_list = [
    "goauthentik.io/providers/oauth2/scope-email",
    "goauthentik.io/providers/oauth2/scope-openid"
  ]
}

# Then use data.authentik_scope_mapping.test.ids
```

<!-- schema generated by tfplugindocs -->
## Schema

### Optional

- **id** (String) The ID of this resource.
- **ids** (List of String) List of ids when `managed_list` is set.
- **managed** (String)
- **managed_list** (List of String) Retrive multiple property mappings
- **name** (String)
- **scope_name** (String)

### Read-Only

- **description** (String)
- **expression** (String)
