---
page_title: "authentik_provider_oauth2 Resource - terraform-provider-authentik"
subcategory: "Providers"
description: |-
---

# authentik_provider_oauth2 (Resource)

## Example Usage

```terraform
# Create an OAuth2 Provider

resource "authentik_provider_oauth2" "name" {
  name      = "grafana"
  client_id = "grafana"
}

resource "authentik_application" "name" {
  name              = "test app"
  slug              = "test-app"
  protocol_provider = authentik_provider_oauth2.name.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **authorization_flow** (String)
- **client_id** (String)
- **name** (String)

### Optional

- **access_code_validity** (String) Defaults to `minutes=1`.
- **client_secret** (String, Sensitive)
- **client_type** (String) Defaults to `confidential`.
- **id** (String) The ID of this resource.
- **include_claims_in_id_token** (Boolean) Defaults to `true`.
- **issuer_mode** (String) Defaults to `per_provider`.
- **jwt_alg** (String) Defaults to `HS256`.
- **property_mappings** (List of String)
- **redirect_uris** (List of String)
- **rsa_key** (String)
- **sub_mode** (String) Defaults to `hashed_user_id`.
- **token_validity** (String) Defaults to `minutes=10`.
