---
page_title: "authentik_provider_proxy Resource - terraform-provider-authentik"
subcategory: "Providers"
description: |-
---

# authentik_provider_proxy (Resource)

## Example Usage

```terraform
# Create a proxy provider

data "authentik_flow" "default-authorization-flow" {
  slug = "default-provider-authorization-implicit-consent"
}

resource "authentik_provider_proxy" "name" {
  name               = "test-app"
  internal_host      = "http://foo.bar.baz"
  external_host      = "http://internal.service"
  authorization_flow = data.authentik_flow.default-authorization-flow.id
}

resource "authentik_application" "name" {
  name              = "test-app"
  slug              = "test-app"
  protocol_provider = authentik_provider_proxy.name.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **authorization_flow** (String)
- **external_host** (String)
- **name** (String)

### Optional

- **basic_auth_enabled** (Boolean) Defaults to `false`.
- **basic_auth_password_attribute** (String)
- **basic_auth_username_attribute** (String)
- **cookie_domain** (String)
- **id** (String) The ID of this resource.
- **internal_host** (String)
- **internal_host_ssl_validation** (Boolean) Defaults to `true`.
- **mode** (String) Defaults to `proxy`.
- **skip_path_regex** (String)
