---
page_title: "authentik_service_connection_kubernetes Resource - terraform-provider-authentik"
subcategory: "Outposts"
description: |-
---

# authentik_service_connection_kubernetes (Resource)

## Example Usage

```terraform
# Create a local kubernetes connection

resource "authentik_service_connection_kubernetes" "local" {
  name  = "local"
  local = true
}

# Create a remote kubernetes connection

resource "authentik_service_connection_kubernetes" "remote-test-cluster" {
  name       = "test-cluster"
  kubeconfig = <<EOF
kind: Config
users: [...]
EOF
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **name** (String)

### Optional

- **id** (String) The ID of this resource.
- **kubeconfig** (String) Defaults to `{}`.
- **local** (Boolean) Defaults to `false`.
